<div class="container">
<!-- <form> -->
    <input type="checkbox" id="vehicle1" name="vehicle1" value="Bike"  (change)="altscop=!altscop">
    <label for="vehicle1">Vreau sa ma inregistrez cu alt scop</label><br>

    <div *ngIf="altscop == false">
        <div class="form-group">
            <label for="mailInput">E-mail address</label>
            <input type="email" class="form-control" id="mailInput" aria-describedby="emailHelp" placeholder="Enter Email" [(ngModel)]="mail">
            <small id="emailHelp" class="form-text text-muted">We'll never share your email with anyone else.</small>
        </div>
        <div class="form-group">
            <label for="numeInput">Nume si prenume</label>
            <input type="text" class="form-control" id="numeInput" placeholder="Nume si Prenume" [(ngModel)]="nume">
        </div>
    
        <div class="form-group">
            <label for="exampleFormControlSelect1">Select role</label>
            <select class="form-control" id="exampleFormControlSelect1" [(ngModel)]="selectedRole">
              <option *ngFor="let item of roles">{{item}}</option>
        </select>
        </div>
        <button (click)="register()" class="btn-primary" type="submit">Register</button>
    </div>

    <div *ngIf="altscop == true">
        <div class="form-group">
            <label for="numeInput">Nume si prenume</label>
            <input type="text" class="form-control" id="numeInput" placeholder="Nume si Prenume" [(ngModel)]="nume">
        </div>

        <div class="form-group">
            <label for="numeInput">E-mail</label>
            <input type="text" class="form-control" id="mailInput" placeholder="E-mail" [(ngModel)]="mail">
        </div>
    
        <div class="form-group">
            <label for="selectareAdministrare">Select role</label>
            <select class="form-control" id="selectareAdministrare" [(ngModel)]="selectedRole">
              <option *ngFor="let item of scopuri">{{item}}</option>
        </select>

        <button (click)="log()">Check selected role</button>
        </div>
        <button (click)="register()" class="btn-primary" type="submit">Register</button>

    </div>

    
    
<!-- </form> -->
